NXOpen.UF.Modl.CreateExtrudedPath1

Modl.CreateExtrudedPath1()

Refer to UF_MODL_create_extruded_path1 for documentation.

Signature: CreateExtrudedPath1(objects, pathObjects, point, direction, sign, targetBody)

Parameters:
  • objects (NXOpen.UF.UF.List Refer to ` <../ugopen_doc/uf/.html>`_ for documentation.) – List of objects or one section builder, but not both, to be extruded.
  • pathObjects (NXOpen.UF.UF.List Refer to ` <../ugopen_doc/uf/.html>`_ for documentation.) – List of objects or one section builder, but not both, for providing a path for the extrusion.
  • point (list of float) – Point
  • direction (list of float) – Not used, can be set as (0,0,1).
  • sign (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – Sign of the operation to be performed: 0 = create a new target solid 1 = add to a target solid 2 = subtract from a target solid 3 = intersect with a target solid
  • targetBody (Tag) – The target body to perform Boolean operation
Returns:

List of feature identifiers created. This list must be freed by calling UF_MODL_delete_list.

Return type:

NXOpen.UF.UF.List Refer to ` <../ugopen_doc/uf/.html>`_ for documentation.

License requirements: SOLIDS MODELING